GLOBAL.require("map/tasks")
GLOBAL.require("constants")
GLOBAL.require("map/rooms/mir_rooms")

AddTaskPreInit("Forest hunters", function(task)
task.room_choices["MirEggSpawn"] = 1
end)

modimport 'scripts/tile_wharang.lua'
AddTile("ASIA", 60, "asia",
{noise_texture = "levels/textures/noise_asia.tex"},
{noise_texture = "levels/textures/mini_noise_asia.tex"},
{runsound = "dontstarve/movement/run_carpet"},
{walksound="dontstarve/movement/walk_carpet"},
{snowsound="dontstarve/movement/run_snow"},
{mudsound = "dontstarve/movement/run_mud"}
)
AddTile("ORIENT", 61, "orient",
{noise_texture = "levels/textures/noise_orient.tex"},
{noise_texture = "levels/textures/mini_noise_orient.tex"},
{runsound = "dontstarve/movement/run_carpet"},
{walksound="dontstarve/movement/walk_carpet"},
{snowsound="dontstarve/movement/run_snow"},
{mudsound = "dontstarve/movement/run_mud"}
)
AddTile("FLAMEROSE", 62, "flamerose",
{noise_texture = "levels/textures/noise_flamerose.tex"},
{noise_texture = "levels/textures/mini_noise_flamerose.tex"},
{runsound = "dontstarve/movement/run_carpet"},
{walksound="dontstarve/movement/walk_carpet"},
{snowsound="dontstarve/movement/run_ice"},
{mudsound = "dontstarve/movement/run_mud"} )
